View Poll Results: Add the ability to turn off the visibility of individual objects on a per viewport basis?

Voters
5. You may not vote on this poll
  • Yes, I definitely need this.

    2 40.00%
  • This would be useful.

    1 20.00%
  • Nice idea, but I would not use it.

    1 20.00%
  • No, this is not needed, please work on another feature.

    1 20.00%
  • This can already be done.

    0 0%
Results 1 to 6 of 6

Thread: Freeze individual Objects in Viewport

  1. #1
    Member
    Join Date
    2010-08
    Posts
    10
    Login to Give a bone
    0

    Default Freeze individual Objects in Viewport

    I would like the ability to freeze individual objects in certain viewports.

  2. #2
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Freeze individual Objects in Viewport

    Quote Originally Posted by chris4455 View Post
    I would like the ability to freeze individual objects in certain viewports.
    You mean like this:

    Code:
    ;; Turn off visibility for selected objects
    (defun c:OFF (/ ss)
      (vl-load-com)
      (prompt "\n Select objects to hide: ")
      (if (setq ss (ssget))
        ((lambda (i / e)
           (while (setq e (ssname ss (setq i (1+ i))))
             (vla-put-visible
               (vlax-ename->vla-object e)
               :vlax-false)))
          -1))
      (princ))
     
    ;; Turn on visibility for all objects
    (defun c:ON (/ ss)
      (vl-load-com)
      (prompt "\n Turning on visibility for all objects... ")
      (if (setq ss (ssget "_x"))
        ((lambda (i / e)
           (while (setq e (ssname ss (setq i (1+ i))))
             (vla-put-visible
               (vlax-ename->vla-object e)
               :vlax-true)))
          -1))
      (princ))
    Edit:
    Error checking not included. Beware of locked layers, etc.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  3. #3
    Super Moderator dkoch's Avatar
    Join Date
    2003-03
    Location
    Philadelphia, PA
    Posts
    2,392
    Login to Give a bone
    0

    Default Re: Freeze individual Objects in Viewport

    Does that work on a per-viewport basis, or is the selected object made invisible globally?

  4. #4
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Freeze individual Objects in Viewport

    Quote Originally Posted by dkoch View Post
    Does that work on a per-viewport basis, or is the selected object made invisible globally?
    Sorry for the delayed response, as I've been out of town for a two-day training event.

    To answer your question, this code turns off the Visible property for each object selected, so any viewport where the object is 'in view', the object will no longer be visible (i.e. Globally).

    AFAIK, AutoCAD does not provide a means to turn off visibility (at the entity level) which is viewport specific... at least not without copying, and layer manipulation.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  5. #5
    Super Moderator dkoch's Avatar
    Join Date
    2003-03
    Location
    Philadelphia, PA
    Posts
    2,392
    Login to Give a bone
    0

    Default Re: Freeze individual Objects in Viewport

    That is what I thought your function did, and what I thought the program's capabilities were; but I thought I would ask since there certainly are many things in the program about which I am less than knowledgeable.

    I am thinking that the original poster was looking for an equiavalent to Revit's "Hide in View" feature, which would be a valid wish, since it can not be done.

  6. #6
    Member
    Join Date
    2010-04
    Posts
    11
    Login to Give a bone
    0

    Default Re: Freeze individual Objects in Viewport

    Is there a way to edit the lisp above to be able to freeze individual objects that are in an xref? It works great, but I need the ability to freeze different objects that are in a xref. Thanks

Similar Threads

  1. Freeze in All Viewport Except Current
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 1
    Last Post: 2015-01-05, 03:52 AM
  2. -Layer Freeze/Thaw in Viewport
    By Wish List System in forum AutoCAD Wish List
    Replies: 6
    Last Post: 2014-09-24, 04:03 AM
  3. 2015: Viewport freeze
    By rmk in forum AutoCAD General
    Replies: 2
    Last Post: 2014-04-17, 06:37 PM
  4. 2012: layoff does freeze in viewport
    By rwright363377291 in forum ACA General
    Replies: 1
    Last Post: 2013-05-03, 04:57 PM
  5. freeze or thaw in current viewport
    By e.jansen in forum AutoCAD General
    Replies: 0
    Last Post: 2009-09-16, 09:34 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •